apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app.kubernetes.io/name: detection
  name: detection
  namespace: emblem
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app.kubernetes.io/name: detection
  template:
    metadata:
      labels:
        app.kubernetes.io/name: detection
    spec:
      imagePullSecrets:
        - name: regcred
      containers:
        - image: {image}
          imagePullPolicy: IfNotPresent
          name: detection
          resources:
            requests:
              memory: "8Gi"
              cpu: "4000m"
            limits:
              memory: "8Gi"
              cpu: "4000m"
          ports:
            - containerPort: 6006
              name: http
              protocol: TCP
          readinessProbe:
            httpGet:
              path: /
              port: http
            initialDelaySeconds: 30
            periodSeconds: 5
---
apiVersion: v1
kind: Service
metadata:
  name: detection
  namespace: emblem
spec:
  selector:
    app.kubernetes.io/name: detection
  ports:
    - protocol: TCP
      port: 80
      targetPort: http
